点击查看详细介绍

使用C# 调用 UFun 创建直线代码

nxopen 4月前 433 2

UG NX 二次开发(C、C#、WPF)技术交流群:641226372      UG二次开发(C、C#、WPF)


使用C# 调用 UFun 创建直线代码

UFCurve.Line line_coords = new UFCurve.Line();
line_coords.start_point = new Double[3];
line_coords.start_point[0] = 0.0;
line_coords.start_point[1] = 0.0;
line_coords.start_point[2] = 0.0;

line_coords.end_point = new Double[3];
line_coords.end_point[0] = 0.0;
line_coords.end_point[1] = 0.0;
line_coords.end_point[2] = 100.0;

Tag line = NXOpen.Tag.Null;
theUfSession.Curve.CreateLine(ref line_coords, out line);



0

最新回复 (2)
  • gaomigaojun 4月前
    1

    多谢胡工指点,膜拜。

  • 3534899564YM 2月前
    2

    多谢胡工指点,膜拜。

请登录后发表新帖